# -*- coding: utf-8 mode: python -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

__all__ = ('suite',
           )

def suite():
    from base import TestSuite
    ts = TestSuite()
    from test_base import test_args; ts.addTest(test_args.suite())
    from test_base import test_base; ts.addTest(test_base.suite())
    from test_base import test_config; ts.addTest(test_config.suite())
    from test_base import test_control; ts.addTest(test_control.suite())
    from test_base import test_dates; ts.addTest(test_dates.suite())
    from test_base import test_editor; ts.addTest(test_editor.suite())
    from test_base import test_encdetect; ts.addTest(test_encdetect.suite())
    from test_base import test_encoding; ts.addTest(test_encoding.suite())
    from test_base import test_env; ts.addTest(test_env.suite())
    from test_base import test_files; ts.addTest(test_files.suite())
    from test_base import test_flock; ts.addTest(test_flock.suite())
    from test_base import test_functions; ts.addTest(test_functions.suite())
    from test_base import test_input; ts.addTest(test_input.suite())
    from test_base import test_iso8859; ts.addTest(test_iso8859.suite())
    from test_base import test_lines; ts.addTest(test_lines.suite())
    from test_base import test_output; ts.addTest(test_output.suite())
    from test_base import test_pager; ts.addTest(test_pager.suite())
    from test_base import test_paths; ts.addTest(test_paths.suite())
    from test_base import test_procs; ts.addTest(test_procs.suite())
    from test_base import test_times; ts.addTest(test_times.suite())
    from test_base import test_tmpfiles; ts.addTest(test_tmpfiles.suite())
    from test_base import test_uio; ts.addTest(test_uio.suite())
    from test_base import test_words; ts.addTest(test_words.suite())
    return ts
